summaryrefslogtreecommitdiffstats
path: root/source/d/gdb/gdb.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/gdb/gdb.SlackBuild')
-rwxr-xr-xsource/d/gdb/gdb.SlackBuild11
1 files changed, 6 insertions, 5 deletions
diff --git a/source/d/gdb/gdb.SlackBuild b/source/d/gdb/gdb.SlackBuild
index a3f3e7428..41f6abfd6 100755
--- a/source/d/gdb/gdb.SlackBuild
+++ b/source/d/gdb/gdb.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2014, 2016 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
PKGNAM=gdb
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -30,7 +30,7 @@ NUMJOBS=${NUMJOBS:-" -j7 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -52,7 +52,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf gdb-$VERSION
-tar xvf $CWD/gdb-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/gdb-$VERSION.tar.xz || exit 1
cd gdb-$VERSION || exit 1
chown -R root:root .
find . \
@@ -66,8 +66,9 @@ find . \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--infodir=/usr/info \
+ --with-guile \
--with-python \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
( cd readline ; make )